const express = require("express");
const engine = require("ejs-mate");
const dotenv = require("dotenv");

// import routers
const homeRouter = require("./server/routes/home");

dotenv.config();

const app = express();

app.engine("ejs", engine);
app.set("views", __dirname + "/client/views");
app.set("view engine", "ejs");

app.use("/static", express.static(__dirname + "/client/public"));
app.use("/static/preline.js", express.static(__dirname + "/../node_modules/preline/dist/preline.js"));

// register routers
app.use("/", homeRouter);

const PORT = process.env.PORT || 3000;

app.listen(PORT, () => {
    console.log(`Server is listening on http://localhost:${PORT}`);
});
